package com.shinsoft.sto.service;

import com.shinsoft.sto.model.Onhand;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;

import java.util.Map;


/**
 * <p>
 * 库存现有量 服务类
 * </p>
 *
 * @author system
 * @since 2024-10-08
 */
public interface OnhandService extends IService<Onhand> {

   ResultJSON query(int page, int rows, Map<String,Object> map);

   ResultJSON queryByPK(String id);

   ResultJSON save(String userId, String json);

   ResultJSON remove(String userId, String id);

   ResultJSON removeBatch(String userId, String ids);
   /**
    * 根据物料，查询库存现有量。
    * @param userId
    * @param params
    * @return
    */
   ResultJSON queryOnhand(String userId, String params);


   ResultJSON queryDelvOut(String userId, String params);

   ResultJSON savePk(String userId, String json);
   ResultJSON saveDk(String userId, String json);
   ResultJSON savePick(String userId, String json);
 }
